/* Reguli de denumire ale claselor: Clasele vor avea numele incepand cu sectiunea paginii iar apoi elementul
Exemplu:  blog-container sau blog-title */

* {
  margin: 0;
  padding: 0;
}

:root {
  --black: #000000;
  --white: #ffffff;
  --rosewood: #5c0a10;
  --seal-brown: #2a0f10;
  --bulgarian-rose-red: #4e1114;
  --falu-red: #821619;
  --fire-brick: #b72025;
  --parchment: #efe5d0;
}
body {
  background-color: #000000;
  color: #ffffff;
}

/* -------------------------------- Scroll Bar ----------------------- */


::-webkit-scrollbar {
  width: 8px;
}
::-webkit-scrollbar-track {
background: #000000;
}
::-webkit-scrollbar-thumb {
background-color: #5C0A10;
border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
background-color: #821619;
}

@media only screen and (max-width: 850px) {
  ::-webkit-scrollbar {
    display: none;
    width: 0;
  }
}

/* -------------------------------------------Navbar------------------------------------------   */
nav {
  display: flex;
  width: 100vw;
  justify-content: space-between;
  align-items: center;
  border-bottom: 0.01rem solid gray;
  position: fixed;
  background-color: #000000;
  z-index: 10;
  transition: transform 0.4s ease-in-out;
  font-family: "Poppins", sans-serif;
  text-transform: uppercase;
}

.nav-content {
  display: flex;
  gap: 3rem;
  align-items: center;
}

.nav-dropdown {
  width: max-content;
  padding-right: 2rem;
}

.nav-buton {
  background-color: transparent;
  color: #ffffff;
  border: none;
  font-size: 1.2rem;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 0.5rem;
  z-index: 1;
  font-family: "Poppins", sans-serif;
  text-transform: uppercase;
}

.nav-dropdown:hover .nav-dropdowncontent {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.nav-sigla img {
  height: 10vh;
}

.nav-content a {
  font-size: 1.2rem;
  text-decoration: none;
  color: #ffffff;
  cursor: pointer;
}

.nav-dropdowncontent {
  position: absolute;
  display: none;
  z-index: 1;
  background-color: #000000;
  width: 10vw;
  padding-top: 1rem;
}

#nav-curent {
  color: #b72025;
}

.nav-content a:hover:not(#nav-curent) {
  text-shadow: #430d0d 1px 0 8px;
}

.nav-buton i {
  font-size: 0.7rem;
}

.menu-phone {
  display: none;
  height: 0;
}

.navbar-phone-top {
  display: none;
}

.btn-open:checked {
  display: none;
}

@media only screen and (max-width: 850px) {
  nav {
    display: none;
  }

  .nav-sigla img {
    height: 10vh;
  }

  .nav-dropdown {
    padding-right: 0;
    margin-left: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }

  .nav-dropdowncontent {
    position: relative;
    width: auto;
    text-align: center;
    margin-right: 0.5rem;
  }

  .hamburger-content {
    background-color: #000000;
    display: flex;
    gap: 0.3rem;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding-top: 8rem;
    display: none;
    text-transform: uppercase;
    font-family: "Poppins", sans-serif;
  }

  .hamburger-content a {
    color: white;
    text-decoration: none;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.2rem;
  }

  .nav-container {
    display: flex;
    flex-direction: column;
    align-content: flex-end;
  }

  .buton-hamburger {
    position: fixed;
    font-size: 2rem;
    right: 5%;
    top: 0;
    padding-top: 1.3rem;
    background-color: #000000;
    color: #ffffff;
    width: 10vw;
    list-style: none;
    border: none;
    outline: inherit;
  }
  .menu-phone {
    display: flex;
    justify-content: center;
    width: 100%;
    position: fixed;
    background-color: #000000;
    margin-top: 4rem;
    height: 0;
    transition: all 0.4s ease-in-out;
  }

  .navbar-phone-top {
    display: flex;
    align-items: center;
    justify-content: left;
    position: fixed;
    background-color: black;
    width: 100%;
  }

  .navbar-phone-top h3 {
    color: #ffffff;
    position: fixed;
    right: 4rem;
  }

  .btn-open:checked {
    display: none;
  }
}

/* -------------------------------------------Blog------------------------------------------   */

.chenar {
  display: flex;
  flex-direction: row;
  width: 75vw;
  gap: 3rem;
  align-items: center;
  border: 3px solid var(--falu-red);
  padding: 1rem;
  border-radius: 2rem;
}
.container-interviuri {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 3rem;
  padding-top: 10rem;
}

.continut-stanga {
  display: flex;
  flex-direction: column;
  align-items: end;
  gap: 1rem;
  text-align: justify;
}
.continut-dreapta {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 1rem;
  text-align: justify;
}

.imagine img{
  border-radius: 20px;
}


.continut button {
  width: 10rem;
  height: 2rem;
  background-color: #5c0a10;
  color: #ffffff;
  border: none;
  border-radius: 0.5rem;
  margin-top: 3rem;
  font-family: "Poppins", sans-serif;
  transition: background-color 0.5s ease-in-out;
  text-decoration: none;
}
.continut a{
  text-decoration: none;
  color: var(--white);
}
.continut p {
  font-family: "Poppins", sans-serif;
}

.continut h2 {
  font-family: "Jost", sans-serif;
  text-align: center;
}

.navigator {
  display: flex;
  flex-direction: row;
  justify-content: center;
  padding: 4rem 0;
  gap: 1rem;
  height: 3rem;
}
.navigator div {
  font-size: 2rem;
  color: white;
  text-decoration: none;
  cursor:pointer;
  width: 2rem;
  display:flex;
  justify-content: center;
  align-items: center;
}
.navigator div:hover:not(#nav-curent) {
  border-bottom: 3px solid #b72025;
}
.continut button:hover {
  background-color: #b72025;
}
.continut button a:hover {
  background-color: #b72025;
}

@media only screen and (max-width: 820px) {
  .imagine img {
    width: 250px;
  
  }
  .chenar {
    display: flex;
    flex-direction: column;

  }
  .continut {
    align-items: center;
    -webkit-order: 2;
  }

  .imagine{
    -webkit-order: 1;
  }
  
  .continut p {
    text-align: center;
  }
  /* .continut button:hover {
    display: none;
  } */
  /* .navigator div:hover:not(#nav-curent) {
    display: none;
  } */
}
/* -------------------------------------------Footer------------------------------------------   */
footer {
  background-color: var(--parchment);
  padding: 1rem 2rem 1rem 2rem;
  display: flex;
  justify-content: space-between;
  color: var(--white);
  align-items: center;
  font-size: 1.2rem;
  margin-top: auto;
  height: 15vh;
}

.footerright a {
  color: var(--black);
  cursor: pointer;
  transition: ease-in-out 0.6s;
}
.footerright {
  display: flex;
  align-items: center;
  gap: 2rem;
}
/* .footerright a:hover,
 .footerleft a:hover {
  color: var(--seal-brown);
}  */
.footersigla {
  width: 10vw;
  cursor: pointer;
}

/* .footerleft a {
  cursor: pointer;
  color: var(--bulgarian-rose-red);
  font-family: "Poppins", sans-serif;
  text-transform: uppercase;
  font-size: 1.2rem;
  transition: ease-in-out 0.6s;
} */
.footerleft a {
  text-decoration: none;
}

@media screen and (min-width: 361px) and (max-width: 600px) {
  footer {
    font-size: 0.8rem;
    gap: 0.5rem;
    padding: 0.7rem;
  }
  .footersigla {
    width: 30vw;
  }
  .footerright {
    gap: 1rem;
  }
  .footerleft a p {
    font-size: 0.8rem;
  }
}
@media screen and (max-width: 360px) {
  footer {
    padding: 0.5rem;
    font-size: 0.8rem;
  }
  .footersigla {
    width: 30vw;
  }
  .footerright {
    gap: 0.5rem;
  }
}
